Package opennlp.tools.formats.ad

## Class ADSentenceStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<String,​ADSentenceStream.Sentence>
  - - opennlp.tools.formats.ad.ADSentenceStream

- All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<ADSentenceStream.Sentence>`

      public class ADSentenceStream
      extends FilterObjectStream<String,​ADSentenceStream.Sentence>

  Stream filter which merges text lines into sentences, following the Arvores Deitadas syntax.

  Information about the format:
  Susana Afonso. "Árvores deitadas: Descrição do formato e das opções de análise na Floresta Sintáctica" .
  12 de Fevereiro de 2006. http://www.linguateca.pt/documentos/Afonso2006ArvoresDeitadas.pdf

  Note: Do not use this class, internal use only!

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ADSentenceStream.Sentence` |
    `static class` | `ADSentenceStream.SentenceParser` | Parses a sample of AD corpus.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ADSentenceStream​(ObjectStream<String> lineStream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ADSentenceStream.Sentence` | `read()` | Returns the next object.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ADSentenceStream

          public ADSentenceStream​(ObjectStream<String> lineStream)

  - ### Method Detail

    - #### read

          public ADSentenceStream.Sentence read()
                                         throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading